## ros-one-jsk-pcl-ros 1.2.19-6jammy.20251025.2147

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-6jammy.20251025.2147) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 21:47:44 +0000

ros-one-jsk-pcl-ros (1.2.19-0jammy) jammy; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-pcl-ros (1.2.18-0jammy) jammy; urgency=high

  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738>)
  * support pointxyzi in octree_voxel_grid_nodelet (#2656 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2656>)
  * fix uniform sampling nodelet (#2874 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2874>)
  * add UniformSampling in nodelet xml (#2873 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2873>)
  * [jsk_pcl/OrganizedStatisticalOutlierRemoval] support several pointcloud type (#2846 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2846>)
  * [ROS-O] Add ParticleCuboid::weightedAverage method (#2863 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2863> )
  * [ros-o] boost::make_shared -> std::make_shared, use .makeShared() (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
  * Add missing ros_environment dependency to package.xml (#2837 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2837>)
  * Add option 'synchronize' to hinted_plane_detector_nodelet (#2844 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2844>)
  * use xyz instead of xyzrgb in ClusterPointIndicesDecomposer (#2839 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2839>)
  * [jsk_pcl_ros] Fix errors on test_octomap_server_contact_pr2.test (#2821 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2821>)
  * add test_octomap_server_contact_pr2.test for xacro or xacro.py, see #2817 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2817>
  * Contributors: Jeremy Kolb, Shingo Kitagawa, Shun Hasegawa, Yoshiki Obinata, Yuki Furuta

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-pcl-ros (1.2.17-0jammy) jammy; urgency=high



 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-pcl-ros (1.2.16-0jammy) jammy; urgency=high

  * add noetic build test (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * [jsk_pcl_ros] to avoid invalid access, use getGridCoordinates+getCenroidIndexAt function instead of getCentroidIndex. (#2748 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2748>)
  * add relay new baxter_realsense_l515.bag (#2749 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2749>)
  * [jsk_pcl_ros] fix data link in install_sample_data.py (#2733 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2733>)
  * Fix #2737 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2737> (#2739 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2739>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * [feature] container occupancy detector nodelet (#2696 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2696>)
  * [jsk_pcl_ros/organized_multi_plane_segmentation_nodelet] Poke when start subscribing (#2710 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2710>)
  * Add reset sync policy in destructor and add a test (#2681 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2681>)
  * [jsk_pcl_ros/octomap_server_contact_nodelet.cpp] fix memory leak of colors pointer (#2661 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2661>)
  * use default value for param (#2663 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2663>)
  * work around permission issue / integrate all yaml to one (#2677 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2677>)
  * [jsk_perception][jsk_pcl_ros_utils][jsk_pcl_ros] Fix download links (#2632 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2632>)
  * check more python3 compatibility (#2614 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2614>)
  * [jsk_pcl_ros] ExtractIndices debug (#2628 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2628>)
  * add missing build_depend dynamic_reconfigure in jsk_pcl_ros (#2619 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2619>
  * [jsk_pcl_ros] Stop tf when segmented cloud size is zero using cluster point indices decomposer (#2599 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2599>)
  * add organized statistical removal test (#2602 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2602>)
  * [jsk_pcl_ros] fix bug of lookuptransform in heightmapconverter (#2572 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2572>)
  * [jsk_pcl_ros] add z range option to heightmap converter (#2564 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2564>)
  * [DepthImageCreator] print more rosparm info on startup (#2543 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2543>)
  * add sample_plane_extraction.launch , plane_extraction.launch (#2551 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2551>)
  * [jsk_pcl_ros] set larger min_size limit for organized multiplane segmentation (#2571 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2571>)
  * [jsk_pcl_ros/line_segment_detector] LineList needs colors aligning with points (#2562 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2562>)
  * [jsk_pcl_ros] support including tabletop_object_detector.launch file in any name space (#2539 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2539>)
  * Update depth_image_creator.md (#2557 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2557>)


## ros-one-jsk-pcl-ros 1.2.19-6noble.20251025.2211

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(jsk_pcl_ros)

# Use ccache if installed to make it fast to generate object files
if (${CMAKE_VERSION} VERSION_LESS 3.4)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif()
endif()

# check c++11 / c++0x
include(CheckCXXCompilerFlag)
check_cxx_compiler_flag("-std=c++17" COMPILER_SUPPORTS_CXX17)
check_cxx_compiler_flag("-std=c++14" COMPILER_SUPPORTS_CXX14)
check_cxx_compiler_flag("-std=c++11" COMPILER_SUPPORTS_CXX11)
check_cxx_compiler_flag("-std=c++0x" COMPILER_SUPPORTS_CXX0X)
if(COMPILER_SUPPORTS_CXX17)
  set(CMAKE_CXX_FLAGS "-std=c++17")
elseif(COMPILER_SUPPORTS_CXX14)
  set(CMAKE_CXX_FLAGS "-std=c++14")
elseif(COMPILER_SUPPORTS_CXX11)
  set(CMAKE_CXX_FLAGS "-std=c++11")
elseif(COMPILER_SUPPORTS_CXX0X)
  set(CMAKE_CXX_FLAGS "-std=c++0x")
else()
  message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

find_package(catkin REQUIRED COMPONENTS
  cv_bridge
  dynamic_reconfigure
  eigen_conversions
  # genmsg
  # geometry_msgs
  image_geometry
  image_transport
  interactive_markers
  # jsk_footstep_msgs
  jsk_pcl_ros_utils
  # jsk_recognition_msgs
  jsk_recognition_utils
  # jsk_rviz_plugins # kinfu.h uses jsk_rviz_plugins/OverlayText.h, but jsk_recognition should not depends on jsk_visualization
  jsk_topic_tools
  # kdl_conversions
  kdl_parser
  laser_assembler
  # nodelet
  # octomap_msgs
  octomap_server
  pcl_msgs
  pcl_ros
  # sensor_msgs
  tf
  # tf2_ros
  tf_conversions
  )
find_package(moveit_ros_perception)
find_package(PkgConfig)
pkg_check_modules(ml_classifiers ml_classifiers QUIET)
# only run in hydro
find_package(PCL REQUIRED)
message(STATUS "PCL_VERSION : ${PCL_VERSION}")
find_package(OpenMP)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} ${OpenMP_EXE_LINKER_FLAGS}")

# For kinfu
find_package(PCL QUIET COMPONENTS gpu_kinfu_large_scale)

pkg_check_modules(yaml_cpp yaml-cpp REQUIRED)
if(${yaml_cpp_VERSION} VERSION_LESS "0.5.0")
## indigo yaml-cpp : 0.5.0 /  hydro yaml-cpp : 0.3.0
  add_definitions("-DUSE_OLD_YAML")
endif()

# generate the dynamic_reconfigure config file
generate_dynamic_reconfigure_options(
  cfg/VoxelGridLargeScale.cfg
  cfg/PlaneSupportedCuboidEstimator.cfg
  cfg/InteractiveCuboidLikelihood.cfg
  cfg/ExtractParticlesTopNBase.cfg
  cfg/HeightmapMorphologicalFiltering.cfg
  cfg/HeightmapConverter.cfg
  cfg/HeightmapToPointCloud.cfg
  cfg/HeightmapTimeAccumulation.cfg
  cfg/GeometricConsistencyGrouping.cfg
  cfg/UniformSampling.cfg
  cfg/BorderEstimator.cfg
  cfg/HintedStickFinder.cfg
  cfg/HintedPlaneDetector.cfg
  cfg/PeopleDetection.cfg
  cfg/TorusFinder.cfg
  cfg/NormalDirectionFilter.cfg
  cfg/RegionGrowingMultiplePlaneSegmentation.cfg
  cfg/LineSegmentCollector.cfg
  cfg/LineSegmentDetector.cfg
  cfg/ParticleFilterTracking.cfg
  cfg/BilateralFilter.cfg
  cfg/ICPRegistration.cfg
  cfg/OrganizedPassThrough.cfg
  cfg/EuclideanClustering.cfg
  cfg/HSIColorFilter.cfg
  cfg/RGBColorFilter.cfg
  cfg/ImageRotate.cfg
  cfg/RegionGrowingSegmentation.cfg
  cfg/ColorBasedRegionGrowingSegmentation.cfg
  cfg/OrganizedMultiPlaneSegmentation.cfg
  cfg/MultiPlaneExtraction.cfg
  cfg/NormalEstimationIntegralImage.cfg
  cfg/EnvironmentPlaneModeling.cfg
  cfg/ColorHistogram.cfg
  cfg/ColorHistogramClassifier.cfg
  cfg/ColorHistogramFilter.cfg
  cfg/ColorHistogramMatcher.cfg
  cfg/ColorHistogramVisualizer.cfg
  cfg/ClusterPointIndicesDecomposer.cfg
  cfg/GridSampler.cfg
  cfg/OrganizedEdgeDetector.cfg
  cfg/EdgeDepthRefinement.cfg
  cfg/ParallelEdgeFinder.cfg
  cfg/EdgebasedCubeFinder.cfg
  cfg/MultiPlaneSACSegmentation.cfg
  cfg/BoundingBoxFilter.cfg
  cfg/ResizePointsPublisher.cfg
  cfg/RearrangeBoundingBox.cfg
  cfg/LINEMODDetector.cfg
  cfg/SupervoxelSegmentation.cfg
  cfg/FeatureRegistration.cfg
  cfg/FisheyeSphere.cfg
  cfg/MovingLeastSquareSmoothing.cfg
  cfg/OctreeVoxelGrid.cfg
  cfg/OctreeChangePublisher.cfg
  cfg/ExtractTopPolygonLikelihood.cfg
  cfg/PointcloudDatabaseServer.cfg
  cfg/TargetAdaptiveTracking.cfg
  cfg/PPFRegistration.cfg
  cfg/PrimitiveShapeClassifier.cfg
  cfg/Kinfu.cfg
  cfg/PointcloudScreenpoint.cfg
  cfg/OrganizedStatisticalOutlierRemoval.cfg
  )

find_package(OpenCV REQUIRED core imgproc)

include_directories(include ${catkin_INCLUDE_DIRS} ${OpenCV_INCLUDE_DIRS} ${PCL_INCLUDE_DIRS} ${ml_classifiers_INCLUDE_DIRS})
link_directories(${catkin_LIBRARY_DIRS})
if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif()
macro(jsk_pcl_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)
  jsk_nodelet(${_nodelet_cpp} ${_nodelet_class} ${_single_nodelet_exec_name}
    jsk_pcl_nodelet_sources jsk_pcl_nodelet_executables)
endmacro(jsk_pcl_nodelet _nodelet_cpp _nodelet_class _single_nodelet_exec_name)

macro(jsk_pcl_nodelet_upstream _upstream _nodelet_class _single_nodelet_exec_name)
  message("DEPRECATION WARNING: nodelet '${_nodelet_class}' is moved to upstream package '${_upstream}'.")
  jsk_nodelet(dummy.cpp ${_nodelet_class} ${_single_nodelet_exec_name} jsk_pcl_nodelet_dummy_sources jsk_pcl_nodelet_executables)
endmacro(jsk_pcl_nodelet_upstream _upstream _nodelet_class _single_nodelet_exec_name)

if ($ENV{TRAVIS_JOB_ID})
  add_definitions("-O0")
else ($ENV{TRAVIS_JOB_ID})
  add_definitions("-O2 -g")
endif ($ENV{TRAVIS_JOB_ID})

# pcl_ros::Filter based class is not working...
# https://github.com/ros-perception/perception_pcl/issues/9
jsk_pcl_nodelet(src/pointcloud_screenpoint_nodelet.cpp "jsk_pcl/PointcloudScreenpoint" "pointcloud_screenpoint")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/NormalFlipToFrame" "normal_flip_to_frame")
if(OPENMP_FOUND)
  jsk_pcl_nodelet(src/particle_filter_tracking_nodelet.cpp "jsk_pcl/ParticleFilterTracking" "particle_filter_tracking")
endif()
jsk_pcl_nodelet(src/fuse_images.cpp "jsk_pcl/FuseRGBImages" "fuse_rgb_images")
jsk_pcl_nodelet(src/fuse_images.cpp "jsk_pcl/FuseDepthImages" "fuse_depth_images")
jsk_pcl_nodelet(src/voxel_grid_downsample_manager_nodelet.cpp "jsk_pcl/VoxelGridDownsampleManager" "voxel_grid_downsample_manager")
jsk_pcl_nodelet(src/voxel_grid_downsample_decoder_nodelet.cpp "jsk_pcl/VoxelGridDownsampleDecoder" "voxel_grid_downsample_decoder")
jsk_pcl_nodelet(src/snapit_nodelet.cpp "jsk_pcl/Snapit" "snapit")
jsk_pcl_nodelet(src/keypoints_publisher_nodelet.cpp "jsk_pcl/KeypointsPublisher" "keypoints_publisher")
jsk_pcl_nodelet(src/hinted_plane_detector_nodelet.cpp "jsk_pcl/HintedPlaneDetector" "hinted_plane_detector")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/CentroidPublisher" "centroid_publisher")
jsk_pcl_nodelet(src/moving_least_square_smoothing_nodelet.cpp "jsk_pcl/MovingLeastSquareSmoothing" "moving_least_square_smoothing")
jsk_pcl_nodelet(src/fisheye_sphere_publisher_nodelet.cpp "jsk_pcl/FisheyeSpherePublisher" "fisheye_sphere_publisher")
jsk_pcl_nodelet(src/plane_supported_cuboid_estimator_nodelet.cpp
  "jsk_pcl/PlaneSupportedCuboidEstimator" "plane_supported_cuboid_estimator")
if(${PCL_VERSION} VERSION_LESS "1.12.0")
  # Could not compile on PCL-1.12.0
  # undefined reference to `pcl::FilterIndices<pcl::tracking::ParticleCuboid>::applyFilter(pcl::PointCloud<pcl::tracking::ParticleCuboid>&)'
jsk_pcl_nodelet(src/extract_cuboid_particles_top_n_nodelet.cpp
  "jsk_pcl/ExtractCuboidParticlesTopN" "extract_cuboid_particles_top_n")
endif()
jsk_pcl_nodelet(src/interactive_cuboid_likelihood_nodelet.cpp
  "jsk_pcl/InteractiveCuboidLikelihood" "interactive_cuboid_likelihood")
jsk_pcl_nodelet(src/image_rotate_nodelet.cpp
  "jsk_pcl/ImageRotateNodelet" "image_rotate")
jsk_pcl_nodelet(src/octree_change_publisher_nodelet.cpp
  "jsk_pcl/OctreeChangePublisher" "octree_change_publisher")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/TfTransformCloud" "tf_transform_cloud")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/TfTransformBoundingBox" "tf_transform_bounding_box")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/TfTransformBoundingBoxArray" "tf_transform_bounding_box_array")
jsk_pcl_nodelet(src/color_filter_nodelet.cpp
  "jsk_pcl/RGBColorFilter" "rgb_color_filter")
jsk_pcl_nodelet(src/color_filter_nodelet.cpp
  "jsk_pcl/HSIColorFilter" "hsi_color_filter")
jsk_pcl_nodelet(src/euclidean_cluster_extraction_nodelet.cpp
  "jsk_pcl/EuclideanClustering" "euclidean_clustering")
jsk_pcl_nodelet(src/cluster_point_indices_decomposer_nodelet.cpp
  "jsk_pcl/ClusterPointIndicesDecomposer" "cluster_point_indices_decomposer")
jsk_pcl_nodelet(src/cluster_point_indices_decomposer_nodelet.cpp
  "jsk_pcl/ClusterPointIndicesDecomposerZAxis" "cluster_point_indices_decomposer_z_axis")
jsk_pcl_nodelet(src/resize_points_publisher_nodelet.cpp
  "jsk_pcl/ResizePointsPublisher" "resize_points_publisher")
jsk_pcl_nodelet(src/rearrange_bounding_box_nodelet.cpp
  "jsk_pcl/RearrangeBoundingBox" "rearrange_bounding_box")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/NormalConcatenater" "normal_concatenater")
jsk_pcl_nodelet(src/normal_estimation_integral_image_nodelet.cpp
  "jsk_pcl/NormalEstimationIntegralImage" "normal_estimation_integral_image")
jsk_pcl_nodelet(src/region_growing_segmentation_nodelet.cpp
  "jsk_pcl/RegionGrowingSegmentation" "region_growing_segmentation")
jsk_pcl_nodelet(src/color_based_region_growing_segmentation_nodelet.cpp
  "jsk_pcl/ColorBasedRegionGrowingSegmentation" "color_based_region_growing_segmentation")
jsk_pcl_nodelet(src/organized_multi_plane_segmentation_nodelet.cpp
  "jsk_pcl/OrganizedMultiPlaneSegmentation" "organized_multi_plane_segmentation")
jsk_pcl_nodelet(src/multi_plane_extraction_nodelet.cpp
  "jsk_pcl/MultiPlaneExtraction" "multi_plane_extraction")
jsk_pcl_nodelet(src/selected_cluster_publisher_nodelet.cpp
  "jsk_pcl/SelectedClusterPublisher" "selected_cluster_publisher")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PolygonArrayDistanceLikelihood" "polygon_array_distance_likelihood")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PolygonArrayAreaLikelihood" "polygon_array_area_likelihood")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PolygonArrayAngleLikelihood" "polygon_array_angle_likelihood")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PolygonArrayFootAngleLikelihood" "polygon_array_foot_angle_likelihood")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PoseWithCovarianceStampedToGaussianPointCloud" "pose_with_covariance_stamped_to_gaussian_pointcloud")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/SphericalPointCloudSimulator" "spherical_pointcloud_simulator")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PolygonFlipper" "polygon_flipper")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PolygonPointsSampler" "polygon_points_sampler")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PolygonMagnifier" "polygon_magnifier")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PlanarPointCloudSimulator" "planar_pointcloud_simulator")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PlaneRejector" "plane_rejector")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PointCloudToClusterPointIndices" "pointcloud_to_cluster_point_indices")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/StaticPolygonArrayPublisher" "static_polygon_array_publisher")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PolygonArrayTransformer" "polygon_array_transformer")
jsk_pcl_nodelet_upstream(jsk_pcl_ros_utils "jsk_pcl/PointCloudToSTL" "pointcloud_to_stl")

if(ml_classifiers_FOUND)
  jsk_pcl_nodelet(src/colorize_segmented_RF_nodelet.cpp
    "jsk_pcl/ColorizeRandomForest" "colorize_random_forest")
  jsk_pcl_nodelet(src/colorize_random_points_RF_nodelet.cpp

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-6noble.20251025.2211) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 25 Oct 2025 22:11:18 +0000

ros-one-jsk-pcl-ros (1.2.19-0noble) noble; urgency=high

  * Merge pull request #2879 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2879> from jsk-ros-pkg/add_license
    add LICENSE
  * add LICENSE
  * ad LICENSE
  * Contributors: Kei Okada

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 14 May 2025 00:00:00 -0000

ros-one-jsk-pcl-ros (1.2.18-0noble) noble; urgency=high

  * Set RULE_LAUNCH_COMPILE/LINK to ccache if CMAKE_VERSION < 3.4 (#2738 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2738>)
  * support pointxyzi in octree_voxel_grid_nodelet (#2656 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2656>)
  * fix uniform sampling nodelet (#2874 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2874>)
  * add UniformSampling in nodelet xml (#2873 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2873>)
  * [jsk_pcl/OrganizedStatisticalOutlierRemoval] support several pointcloud type (#2846 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2846>)
  * [ROS-O] Add ParticleCuboid::weightedAverage method (#2863 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2863> )
  * [ros-o] boost::make_shared -> std::make_shared, use .makeShared() (#2853 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2853>)
  * Add missing ros_environment dependency to package.xml (#2837 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2837>)
  * Add option 'synchronize' to hinted_plane_detector_nodelet (#2844 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2844>)
  * use xyz instead of xyzrgb in ClusterPointIndicesDecomposer (#2839 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2839>)
  * [jsk_pcl_ros] Fix errors on test_octomap_server_contact_pr2.test (#2821 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2821>)
  * add test_octomap_server_contact_pr2.test for xacro or xacro.py, see #2817 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2817>
  * Contributors: Jeremy Kolb, Shingo Kitagawa, Shun Hasegawa, Yoshiki Obinata, Yuki Furuta

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sat, 10 May 2025 00:00:00 -0000

ros-one-jsk-pcl-ros (1.2.17-0noble) noble; urgency=high



 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 14 Nov 2023 00:00:00 -0000

ros-one-jsk-pcl-ros (1.2.16-0noble) noble; urgency=high

  * add noetic build test (#2756 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2756>)
  * [jsk_pcl_ros] to avoid invalid access, use getGridCoordinates+getCenroidIndexAt function instead of getCentroidIndex. (#2748 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2748>)
  * add relay new baxter_realsense_l515.bag (#2749 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2749>)
  * [jsk_pcl_ros] fix data link in install_sample_data.py (#2733 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2733>)
  * Fix #2737 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2737> (#2739 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2739>)
  * Fixed typo of Software License Agreement. and/o2r to and/or (#2727 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2727>)
  * [feature] container occupancy detector nodelet (#2696 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2696>)
  * [jsk_pcl_ros/organized_multi_plane_segmentation_nodelet] Poke when start subscribing (#2710 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2710>)
  * Add reset sync policy in destructor and add a test (#2681 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2681>)
  * [jsk_pcl_ros/octomap_server_contact_nodelet.cpp] fix memory leak of colors pointer (#2661 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2661>)
  * use default value for param (#2663 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2663>)
  * work around permission issue / integrate all yaml to one (#2677 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2677>)
  * [jsk_perception][jsk_pcl_ros_utils][jsk_pcl_ros] Fix download links (#2632 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2632>)
  * check more python3 compatibility (#2614 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2614>)
  * [jsk_pcl_ros] ExtractIndices debug (#2628 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2628>)
  * add missing build_depend dynamic_reconfigure in jsk_pcl_ros (#2619 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2619>
  * [jsk_pcl_ros] Stop tf when segmented cloud size is zero using cluster point indices decomposer (#2599 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2599>)
  * add organized statistical removal test (#2602 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2602>)
  * [jsk_pcl_ros] fix bug of lookuptransform in heightmapconverter (#2572 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2572>)
  * [jsk_pcl_ros] add z range option to heightmap converter (#2564 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2564>)
  * [DepthImageCreator] print more rosparm info on startup (#2543 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2543>)
  * add sample_plane_extraction.launch , plane_extraction.launch (#2551 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2551>)
  * [jsk_pcl_ros] set larger min_size limit for organized multiplane segmentation (#2571 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2571>)
  * [jsk_pcl_ros/line_segment_detector] LineList needs colors aligning with points (#2562 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2562>)
  * [jsk_pcl_ros] support including tabletop_object_detector.launch file in any name space (#2539 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2539>)
  * Update depth_image_creator.md (#2557 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2557>)


=== debian/control ===
Source: ros-one-jsk-pcl-ros
Section: misc
Priority: optional
Maintainer: Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-one-catkin, ros-one-cv-bridge, ros-one-dynamic-reconfigure, ros-one-image-geometry, ros-one-image-transport, ros-one-interactive-markers, ros-one-jsk-data, ros-one-jsk-pcl-ros-utils, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools (>= 2.2.7), ros-one-kdl-parser, ros-one-laser-assembler, ros-one-moveit-ros-perception, ros-one-octomap-server, ros-one-pcl-msgs, ros-one-pcl-ros, ros-one-ros-environment, ros-one-tf, ros-one-tf-conversions
Homepage: https://jsk-docs.readthedocs.io/projects/jsk_recognition/en/latest/jsk_pcl_ros
Standards-Version: 3.9.2

Package: ros-one-jsk-pcl-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, liboctomap-dev, libyaml-cpp-dev, python3-sklearn, ros-one-checkerboard-detector, ros-one-cv-bridge, ros-one-diagnostic-msgs, ros-one-diagnostic-updater, ros-one-dynamic-reconfigure, ros-one-eigen-conversions, ros-one-fetch-description, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-transport, ros-one-image-view2, ros-one-interactive-markers, ros-one-joint-state-publisher, ros-one-jsk-data, ros-one-jsk-footstep-msgs, ros-one-jsk-interactive-marker, ros-one-jsk-pcl-ros-utils, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools (>= 2.2.7), ros-one-kdl-conversions, ros-one-kdl-parser, ros-one-laser-assembler, ros-one-ml-classifiers, ros-one-moveit-core, ros-one-moveit-ros-perception, ros-one-nav-msgs, ros-one-nodelet, ros-one-octomap-server, ros-one-openni-launch, ros-one-openni2-launch, ros-one-pcl-conversions, ros-one-pcl-msgs, ros-one-pcl-ros, ros-one-pr2-description, ros-one-resized-image-transport, ros-one-robot-self-filter, ros-one-robot-state-publisher, ros-one-rosboost-cfg, ros-one-roscpp-tutorials, ros-one-roseus, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-std-srvs, ros-one-stereo-image-proc, ros-one-stereo-msgs, ros-one-tf, ros-one-tf-conversions, ros-one-tf2-ros, ros-one-topic-tools, ros-one-visualization-msgs, ros-one-xacro
Description: ROS nodelets for pointcloud perception.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-pcl-ros//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-pcl-ros 1.2.19-10jammy.20251208.1439

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-10jammy.20251208.1439) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 14:39:53 +0000

## ros-one-jsk-pcl-ros 1.2.19-10noble.20251208.1600

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-10noble.20251208.1600) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 08 Dec 2025 16:00:39 +0000

## ros-one-jsk-pcl-ros 1.2.19-12jammy.20251215.2311

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-12jammy.20251215.2311) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 23:11:01 +0000

## ros-one-jsk-pcl-ros 1.2.19-12jammy.20260106.2247

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-12jammy.20260106.2247) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:47:11 +0000

## ros-one-jsk-pcl-ros 1.2.19-12jammy.20260128.2244

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-12jammy.20260128.2244) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 28 Jan 2026 22:44:10 +0000

## ros-one-jsk-pcl-ros 1.2.19-12jammy.20260301.2239

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-12jammy.20260301.2239) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 01 Mar 2026 22:39:06 +0000

## ros-one-jsk-pcl-ros 1.2.19-12noble.20251215.2310

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-12noble.20251215.2310) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 23:10:14 +0000

## ros-one-jsk-pcl-ros 1.2.19-12noble.20260106.2303

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-12noble.20260106.2303) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 23:03:04 +0000

## ros-one-jsk-pcl-ros 1.2.19-12noble.20260128.2258

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-12noble.20260128.2258) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Wed, 28 Jan 2026 22:58:39 +0000

## ros-one-jsk-pcl-ros 1.2.19-12noble.20260301.2231

=== debian/changelog ===
ros-one-jsk-pcl-ros (1.2.19-12noble.20260301.2231) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Youhei Kakiuchi <youhei@jsk.t.u-tokyo.ac.jp>  Sun, 01 Mar 2026 22:31:46 +0000
